View Issue Details

IDProjectCategoryView StatusLast Update
0011696ScribusBuild Systempublic2016-11-11 22:54
Reporterapastuszak Assigned Toplinnell 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSFedoraOS Version19
Product Version1.4.3.svn 
Target Version1.4.7 
Summary0011696: Scribus does not show up when searched for in Gnome Shell
DescriptionJust installed 1.4.3 from the mrdocs repository, and Scribus does not show up in Gnome Shell when doing a search for it. Launches and runs fine from the shell, though.
Steps To ReproduceHit Windows key
Type scribus
Nothing happens.

Launch terminal
Type "scribus &"
Scribus 1.4.3 launches
Additional InformationI have attached a screen shot. I have logged out and logged back in and rebooted.
Tags#pending, #please_test, #tobeclosed
PatchNo

Relationships

related to 0012708 closedplinnell GNOME/KDE: Please install the supplied AppData file 
related to 0013812 closedplinnell Scribus does not show up in any menus 
related to 0013768 closedplinnell No icon in the menu for scribus (in Arch and xfce) 

Activities

christoph_s

2013-08-04 06:12

administrator   ~0030489

Isn't this a Gnome/Fedora issue?

apastuszak

2013-08-04 16:40

reporter   ~0030495

Not sure. I haven't had this issue with other RPMs I install. Cinnamon Desktop is giving me the same issue. I'll open a bug with Fedora Project and see what they say.

apastuszak

2013-08-04 18:53

reporter   ~0030498

Ok, I think I found the problem. The RPM is dropping them vnd.scribus.desktop file in /usr/share/application instead of /usr/share/applications, which is where all the other .desktop files are.

apastuszak

2013-08-04 18:54

reporter   ~0030499

Confirmed. Manually moving the .desktop file into /usr/share/applications fixes the issue.

cbradney

2013-08-05 19:54

administrator   ~0030504

Assigning to Mrdocs, our code puts the file in SET(MIMELNKDIR "share/mimelnk/application/")

apastuszak

2014-06-03 13:53

reporter   ~0031978

Just installed openSUSE 13.1 and Scribus 1.4,4 and it seems the issue still exists. There are also no 1.4.4 packages for Fedora. It looks like a number of mrdocs packages are failing to build.

JLuc

2014-06-03 19:51

developer   ~0031981

FYI on my UBuntu 13.10, there is well a "scribus" desktop file in /usr/share/applications : it launches scribus 1.4.3 BUT when i type 'scribus' in the unity launcher, only my Scribus 1.5 compiled version appears.

Kunda

2014-07-24 03:30

updater   ~0032948

Reminder sent to: plinnell

just an FYI

Kunda

2016-03-15 13:22

updater  

Kunda

2016-03-15 13:23

updater   ~0039183

luya, do you mind testing ?

luya

2016-03-15 22:06

reporter   ~0039202

Last edited: 2016-03-15 22:18

I confirm the bug is affecting Scribus from mrdocs repository. Version from Fedora repository is unaffected. I wonder if it is related to 0012708 needed by Gnome Shell.
You can view the spec file https://apps.fedoraproject.org/packages/scribus/sources/spec/
and compare.

luya

2016-03-15 22:07

reporter   ~0039203

By the way, Fedora 19 reached EOL a while ago. The bug is still present on Fedora 22.

Kunda

2016-04-24 12:36

updater   ~0040433

luya, we just fixed 0012708 which could have an impact on this ticket.
Could you rebuild latest HEAD and test ?
Thanks!

luya

2016-04-26 18:57

reporter   ~0040506

Last edited: 2016-04-26 19:07

Updated to build 21218 which added appdata. Scribus icon is now visible on Gnome Shell overview even not installed.

See attached Screenshot 2016-04-26 11-50-04.png

Ignore the night build from the image, it is coming from the xdg-app version.

Edit: just made the note more clear

luya

2016-04-26 18:59

reporter  

Kunda

2016-04-26 19:07

updater   ~0040507

Luya, thanks for the update!

Questions:
>> Scribus icon is now visible on Gnome Shell overview even not installed.
What do you mean by even not installed

Kunda

2016-04-26 19:08

updater   ~0040508

Luya, does this work for 1.4.x as well ?

luya

2016-04-26 20:57

reporter   ~0040516

Kunda,
on Overview mode from Gnome Shell, if Scribus is not installed, you can see Gnome Software icon on the left because of the available appdata file as seen on the screenshot. It is a feature from Gnome desktop environment.

I don't have 1.4.x on my system but the appdata should work fine on that version.

Kunda

2016-04-26 22:19

updater   ~0040522

Thanks luya!

Plinnell, what's left to do?

Issue History

Date Modified Username Field Change
2013-08-03 21:52 apastuszak New Issue
2013-08-03 21:52 apastuszak File Added: Screenshot from 2013-08-03 17:46:42.png
2013-08-04 06:12 christoph_s Note Added: 0030489
2013-08-04 16:40 apastuszak Note Added: 0030495
2013-08-04 18:53 apastuszak Note Added: 0030498
2013-08-04 18:54 apastuszak Note Added: 0030499
2013-08-04 20:50 christoph_s Assigned To => plinnell
2013-08-04 20:50 christoph_s Status new => assigned
2013-08-05 19:49 cbradney Assigned To plinnell => cbradney
2013-08-05 19:54 cbradney Note Added: 0030504
2013-09-04 20:13 cbradney Assigned To cbradney => plinnell
2014-06-03 13:53 apastuszak Note Added: 0031978
2014-06-03 19:51 JLuc Note Added: 0031981
2014-07-24 03:30 Kunda Note Added: 0032948
2015-11-25 01:36 Kunda Tag Attached: #please_test
2016-03-15 13:05 Kunda Relationship added related to 0013812
2016-03-15 13:05 Kunda Relationship added related to 0013768
2016-03-15 13:22 Kunda File Deleted: Screenshot from 2013-08-03 17:46:42.png
2016-03-15 13:22 Kunda File Added: scribus-missing-in-gnome-shell.png
2016-03-15 13:23 Kunda Note Added: 0039183
2016-03-15 22:06 luya Note Added: 0039202
2016-03-15 22:07 luya Note Added: 0039203
2016-03-15 22:18 Kunda Note Edited: 0039202
2016-03-15 22:19 Kunda Relationship added related to 0012708
2016-04-24 12:36 Kunda Note Added: 0040433
2016-04-24 12:37 Kunda Tag Attached: #tobeclosed
2016-04-26 18:57 luya Note Added: 0040506
2016-04-26 18:59 luya File Added: Screenshot from 2016-04-26 11-50-04.png
2016-04-26 19:00 luya Note Edited: 0040506
2016-04-26 19:07 Kunda Note Added: 0040507
2016-04-26 19:07 Kunda Note Edited: 0040506
2016-04-26 19:08 Kunda Note Added: 0040508
2016-04-26 20:57 luya Note Added: 0040516
2016-04-26 22:19 Kunda Note Added: 0040522
2016-05-13 14:14 Kunda Tag Attached: #pending
2016-05-13 16:15 Kunda Patch => No
2016-05-13 16:15 Kunda Target Version => 1.4.7
2016-06-10 17:10 cbradney Status assigned => resolved
2016-06-10 17:10 cbradney Resolution open => fixed
2016-11-11 22:54 cbradney Status resolved => closed